"Handle Bad Layers" dialog message text unclear

2018-09-26 07:37 PM - Jason Ferrier

Status: Closed

Priority: Low

Assignee:

Category: GUI

Affected QGIS version:3.2.1 Regression?: No

Operating System: Easy fix?: Yes

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 27781

Description

The message the user receives when the result of Handle Bad Layers will remove layers can be more clear.

Currently:

"There are still # unhandled layer(s), that will be lost if you closed now."

Possible better dialogue:

"There are # unhandled layer(s). If they are not fixed, they will be removed from the project now."

Associated revisions

Revision 23a4fb6e - 2018-11-28 11:49 PM - Alessandro Pasotti 

Merge pull request #8567 from JamesShaeffer/bugfix-19959

[Bugfix] Fixes #19959 -  "Handle Bad Layers" dialog message text unclear

History

#1 - 2018-09-26 07:39 PM - Jason Ferrier

This message would change again once #8718 (#19790) are implemented to something like:

"There are # unhandled layer(s). If they are not fixed, they will be disabled/deactivated until the project is opened again."

#2 - 2018-09-27 09:27 AM - Giovanni Manghi

- Operating System deleted (OS X 10.11.16)

#3 - 2018-11-28 10:05 PM - James Shaeffer

Pull request submitted: https://github.com/qgis/QGIS/pull/8567

#4 - 2018-11-28 11:48 PM - Anonymous

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|23a4fb6e704d5e1b0c93ba20a08ccca096538a2c.
